metric = {
   "mm3/s": {
      "name": {
         "singular": "Cubic Millimeter per second",
         "plural": "Cubic Millimeters per second",
         "display": "mm³/s"
      },
      "to_anchor": 1/1000000,
      "aliases": [
         "mm3/s"
      ]
   },
   "cm3/s": {
      "name": {
         "singular": "Cubic Centimeter per second",
         "plural": "Cubic Centimeters per second",
         "display": "cm³/s"
      },
      "to_anchor": 1/1000,
      "aliases": [
         "cm3/s"
      ]
   },
   "ml/s": {
      "name": {
         "singular": "Millilitre per second",
         "plural": "Millilitres per second",
         "display": "ml/s"
      },
      "to_anchor": 1/1000,
      "aliases": [
         "ml/s"
      ]
   },
   "cl/s": {
      "name": {
         "singular": "Centilitre per second",
         "plural": "Centilitres per second",
         "display": "cl/s"
      },
      "to_anchor": 1/100,
      "aliases": [
         "cl/s"
      ]
   },
   "dl/s": {
      "name": {
         "singular": "Decilitre per second",
         "plural": "Decilitres per second",
         "display": "dl/s"
      },
      "to_anchor": 1/10,
      "aliases": [
         "dl/s"
      ]
   },
   "l/s": {
      "name": {
         "singular": "Litre per second",
         "plural": "Litres per second",
         "display": "l/s"
      },
      "to_anchor": 1,
      "aliases": [
         "l/s"
      ]
   },
   "l/min": {
      "name": {
         "singular": "Litre per minute",
         "plural": "Litres per minute",
         "display": "l/min"
      },
      "to_anchor": 1/60,
      "aliases": [
         "l/min"
      ]
   },
   "l/h": {
      "name": {
         "singular": "Litre per hour",
         "plural": "Litres per hour",
         "display": "l/h"
      },
      "to_anchor": 1/3600,
      "aliases": [
         "l/h"
      ]
   },
   "kl/s": {
      "name": {
         "singular": "Kilolitre per second",
         "plural": "Kilolitres per second",
         "display": "kl/s"
      },
      "to_anchor": 1000,
      "aliases": [
         "kl/s"
      ]
   },
   "kl/min": {
      "name": {
         "singular": "Kilolitre per minute",
         "plural": "Kilolitres per minute",
         "display": "kl/min"
      },
      "to_anchor": 50/3,
      "aliases": [
         "kl/min"
      ]
   },
   "kl/h": {
      "name": {
         "singular": "Kilolitre per hour",
         "plural": "Kilolitres per hour",
         "display": "kl/h"
      },
      "to_anchor": 5/18,
      "aliases": [
         "kl/h"
      ]
   },
   "m3/s": {
      "name": {
         "singular": "Cubic meter per second",
         "plural": "Cubic meters per second",
         "display": "m³/s"
      },
      "to_anchor": 1000,
      "aliases": [
         "m3/s"
      ]
   },
   "m3/min": {
      "name": {
         "singular": "Cubic meter per minute",
         "plural": "Cubic meters per minute",
         "display": "m³/min"
      },
      "to_anchor": 50/3,
      "aliases": [
         "m3/min"
      ]
   },
   "m3/h": {
      "name": {
         "singular": "Cubic meter per hour",
         "plural": "Cubic meters per hour",
         "display": "m³/h"
      },
      "to_anchor": 5/18,
      "aliases": [
         "m3/h"
      ]
   },
   "km3/s": {
      "name": {
         "singular": "Cubic kilometer per second",
         "plural": "Cubic kilometers per second",
         "display": "km³/min"
      },
      "to_anchor": 1000000000000,
      "aliases": [
         "km3/s"
      ]
   }
}

imperial = {
   "tsp/s": {
      "name": {
         "singular": "Teaspoon per second",
         "plural": "Teaspoons per second",
         "display": "tsp/s"
      },
      "to_anchor": 1/6,
      "aliases": [
         "tsp/s"
      ]
   },
   "Tbs/s": {
      "name": {
         "singular": "Tablespoon per second",
         "plural": "Tablespoons per second",
         "display": "Tbs/s"
      },
      "to_anchor": 1/2,
      "aliases": [
         "Tbs/s"
      ]
   },
   "in3/s": {
      "name": {
         "singular": "Cubic inch per second",
         "plural": "Cubic inches per second",
         "display": "in³/s"
      },
      "to_anchor": 0.55411,
      "aliases": [
         "in3/s"
      ]
   },
   "in3/min": {
      "name": {
         "singular": "Cubic inch per minute",
         "plural": "Cubic inches per minute",
         "display": "in³/min"
      },
      "to_anchor": 0.55411/60,
      "aliases": [
         "in3/min"
      ]
   },
   "in3/h": {
      "name": {
         "singular": "Cubic inch per hour",
         "plural": "Cubic inches per hour",
         "display": "in³/h"
      },
      "to_anchor": 0.55411/3600,
      "aliases": [
         "in3/h"
      ]
   },
   "fl-oz/s": {
      "name": {
         "singular": "Fluid Ounce per second",
         "plural": "Fluid Ounces per second",
         "display": "fl-oz/s"
      },
      "to_anchor": 1,
      "aliases": [
         "fl-oz/s"
      ]
   },
   "fl-oz/min": {
      "name": {
         "singular": "Fluid Ounce per minute",
         "plural": "Fluid Ounces per minute",
         "display": "fl-oz/min"
      },
      "to_anchor": 1/60,
      "aliases": [
         "fl-oz/min"
      ]
   },
   "fl-oz/h": {
      "name": {
         "singular": "Fluid Ounce per hour",
         "plural": "Fluid Ounces per hour",
         "display": "fl-oz/h"
      },
      "to_anchor": 1/3600,
      "aliases": [
         "fl-oz/h"
      ]
   },
   "cup/s": {
      "name": {
         "singular": "Cup per second",
         "plural": "Cups per second",
         "display": "cup/s"
      },
      "to_anchor": 8,
      "aliases": [
         "cup/s"
      ]
   },
   "pnt/s": {
      "name": {
         "singular": "Pint per second",
         "plural": "Pints per second",
         "display": "pnt/s"
      },
      "to_anchor": 16,
      "aliases": [
         "pnt/s"
      ]
   },
   "pnt/min": {
      "name": {
         "singular": "Pint per minute",
         "plural": "Pints per minute",
         "display": "pnt/min"
      },
      "to_anchor": 4/15,
      "aliases": [
         "pnt/min"
      ]
   },
   "pnt/h": {
      "name": {
         "singular": "Pint per hour",
         "plural": "Pints per hour",
         "display": "pnt/h"
      },
      "to_anchor": 1/225,
      "aliases": [
         "pnt/h"
      ]
   },
   "qt/s": {
      "name": {
         "singular": "Quart per second",
         "plural": "Quarts per second",
         "display": "qt/s"
      },
      "to_anchor": 32,
      "aliases": [
         "qt/s"
      ]
   },
   "gal/s": {
      "name": {
         "singular": "Gallon per second",
         "plural": "Gallons per second",
         "display": "gal/s"
      },
      "to_anchor": 128,
      "aliases": [
         "gal/s"
      ]
   },
   "gal/min": {
      "name": {
         "singular": "Gallon per minute",
         "plural": "Gallons per minute",
         "display": "gal/min"
      },
      "to_anchor": 32/15,
      "aliases": [
         "gal/min"
      ]
   },
   "gal/h": {
      "name": {
         "singular": "Gallon per hour",
         "plural": "Gallons per hour",
         "display": "gal/h"
      },
      "to_anchor": 8/225,
      "aliases": [
         "gal/h"
      ]
   },
   "bbl/s": {
      "name": {
         "singular": "Barrel per second",
         "plural": "Barrels per second",
         "display": "bbl/s"
      },
      "to_anchor": 5376,
      "aliases": [
         "bbl/s"
      ]
   },
   "bbl/min": {
      "name": {
         "singular": "Barrel per minute",
         "plural": "Barrels per minute",
         "display": "bbl/min"
      },
      "to_anchor": 5376/60,
      "aliases": [
         "bbl/min"
      ]
   },
   "bbl/h": {
      "name": {
         "singular": "Barrel per hour",
         "plural": "Barrels per hour",
         "display": "bbl/h"
      },
      "to_anchor": 5376/3600,
      "aliases": [
         "bbl/h"
      ]
   },
   "ft3/s": {
      "name": {
         "singular": "Cubic foot per second",
         "plural": "Cubic feet per second",
         "display": "ft³/s"
      },
      "to_anchor": 957.506,
      "aliases": [
         "ft3/s"
      ]
   },
   "ft3/min": {
      "name": {
         "singular": "Cubic foot per minute",
         "plural": "Cubic feet per minute",
         "display": "ft³/min"
      },
      "to_anchor": 957.506/60,
      "aliases": [
         "ft3/min"
      ]
   },
   "ft3/h": {
      "name": {
         "singular": "Cubic foot per hour",
         "plural": "Cubic feet per hour",
         "display": "ft³/h"
      },
      "to_anchor": 957.506/3600,
      "aliases": [
         "ft3/h"
      ]
   },
   "yd3/s": {
      "name": {
         "singular": "Cubic yard per second",
         "plural": "Cubic yards per second",
         "display": "yd³/s"
      },
      "to_anchor": 25852.7,
      "aliases": [
         "yd3/s"
      ]
   },
   "yd3/min": {
      "name": {
         "singular": "Cubic yard per minute",
         "plural": "Cubic yards per minute",
         "display": "yd³/min"
      },
      "to_anchor": 25852.7/60,
      "aliases": [
         "yd3/min"
      ]
   },
   "yd3/h": {
      "name": {
         "singular": "Cubic yard per hour",
         "plural": "Cubic yards per hour",
         "display": "yd³/h"
      },
      "to_anchor": 25852.7/3600,
      "aliases": [
         "yd3/h"
      ]
   }
}

rule = {
   "metric": metric,
   "imperial": imperial,
   "_anchors": {
      "metric": {
         "unit": "l/s",
         "ratio": 33.8140227
      },
      "imperial": {
         "unit": "fl-oz/s",
         "ratio": 1/33.8140227
      }
   }
}
